/* write your custom templates css styles */
.templateHeading{
    margin-bottom: 10px;
    font-size: 12px;
    font-weight: bold;
}
.selectTemplateDropdowm{
    border: 1px solid #ddd;
    height: 25px;
    background: #fff;
}
.dummy{
    cursor: none;
    pointer-events: none;
}
.likeDislikeDiv{
    display: inline-block;
    border: 1px solid #b2b2b2;
    border-radius: 50%;
    padding: 10px;
    margin-right: 5px;
    text-align: center;
    cursor: pointer;
}
.likeDislikeDiv img { 
    width: 20px;
}
.checkboxesDiv{
    width: 100%;
}
.checkbox.styledCSS label {
    display: inline-block;
    vertical-align: middle;
    position: relative;
    padding-left: 28px;
    font-size: 16px;
    padding-right: 7px;
    text-transform: none;
    line-height: 17px;
    color:#26344a;
}
.styled{    position: absolute;
            width: 0px !important;
            left: 0;}
.checkbox.styledCSS label::before {
    content: "";
    display: inline-block;
    position: absolute;
    width: 16px;
    height: 16px;
    left: 0;
    margin-left: 0px;
    border: 1px solid #cccccc;
    border-radius: 3px;
    background-color:#ffffff;
    -webkit-transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
    -o-transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
    transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
}
.checkbox.styledCSS label::after {
    display: inline-block;
    position: absolute;
    width: 16px;
    height: 16px;
    left: 0;
    top: -1px;
    margin-left: 0px;
    padding-left: 3px;
    padding-top: 1px;
    font-size: 11px;
    color: #555555;
}

.floatNone{
    float:none !important;
}
.checkbox.styledCSS input[type="checkbox"]:checked + label::after {
    background-image: url('data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iVVRGLTgiPz4KPHN2ZyB3aWR0aD0iNXB4IiBoZWlnaHQ9IjRweCIgdmlld0JveD0iMCAwIDUgNCIgdmVyc2lvbj0iMS4xIiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHhtbG5zOnhsaW5rPSJodHRwOi8vd3d3LnczLm9yZy8xOTk5L3hsaW5rIj4KICAgIDwhLS0gR2VuZXJhdG9yOiBTa2V0Y2ggNTIuMyAoNjcyOTcpIC0gaHR0cDovL3d3dy5ib2hlbWlhbmNvZGluZy5jb20vc2tldGNoIC0tPgogICAgPHRpdGxlPmNoZWNrVGlja0ljb25XaGl0ZTwvdGl0bGU+CiAgICA8ZGVzYz5DcmVhdGVkIHdpdGggU2tldGNoLjwvZGVzYz4KICAgIDxnIGlkPSJQYWdlLTEiIHN0cm9rZT0ibm9uZSIgc3Ryb2tlLXdpZHRoPSIxIiBmaWxsPSJub25lIiBmaWxsLXJ1bGU9ImV2ZW5vZGQiPgogICAgICAgIDxwYXRoIGQ9Ik00LjI0NjY1MTc5LDAuNDU3NTg5Mjg2IEM0LjI5ODczNTM4LDAuNTA5NjcyODc5IDQuMzI0Nzc2NzksMC41NzI5MTYyOTUgNC4zMjQ3NzY3OSwwLjY0NzMyMTQyOSBDNC4zMjQ3NzY3OSwwLjcyMTcyNjU2MyA0LjI5ODczNTM4LDAuNzg0OTY5OTc4IDQuMjQ2NjUxNzksMC44MzcwNTM1NzEgTDEuODQ3MDk4MjEsMy4yMzY2MDcxNCBDMS43OTUwMTQ2MiwzLjI4ODY5MDc0IDEuNzMxNzcxMjEsMy4zMTQ3MzIxNCAxLjY1NzM2NjA3LDMuMzE0NzMyMTQgQzEuNTgyOTYwOTQsMy4zMTQ3MzIxNCAxLjUxOTcxNzUyLDMuMjg4NjkwNzQgMS40Njc2MzM5MywzLjIzNjYwNzE0IEwwLjA3ODEyNSwxLjg0NzA5ODIxIEMwLjAyNjA0MTQwNjIsMS43OTUwMTQ2MiAwLDEuNzMxNzcxMjEgMCwxLjY1NzM2NjA3IEMwLDEuNTgyOTYwOTQgMC4wMjYwNDE0MDYyLDEuNTE5NzE3NTIgMC4wNzgxMjUsMS40Njc2MzM5MyBMMC40NTc1ODkyODYsMS4wODgxNjk2NCBDMC41MDk2NzI4NzksMS4wMzYwODYwNSAwLjU3MjkxNjI5NSwxLjAxMDA0NDY0IDAuNjQ3MzIxNDI5LDEuMDEwMDQ0NjQgQzAuNzIxNzI2NTYyLDEuMDEwMDQ0NjQgMC43ODQ5Njk5NzgsMS4wMzYwODYwNSAwLjgzNzA1MzU3MSwxLjA4ODE2OTY0IEwxLjY1NzM2NjA3LDEuOTExMjcyMzIgTDMuNDg3NzIzMjEsMC4wNzgxMjUgQzMuNTM5ODA2ODEsMC4wMjYwNDE0MDYzIDMuNjAzMDUwMjIsMCAzLjY3NzQ1NTM2LDAgQzMuNzUxODYwNDksMCAzLjgxNTEwMzkxLDAuMDI2MDQxNDA2MyAzLjg2NzE4NzUsMC4wNzgxMjUgTDQuMjQ2NjUxNzksMC40NTc1ODkyODYgWiIgaWQ9ImNoZWNrVGlja0ljb25XaGl0ZSIgZmlsbD0iI0ZGRkZGRiI+PC9wYXRoPgogICAgPC9nPgo8L3N2Zz4=');
    background-size: 10px 20px;
    display: inline-block;
    width: 10px; 
    height: 20px;
    content: "";
    background-repeat: no-repeat;
    left: 5px;
}
.checkbox.styledCSS input[type="checkbox"]:indeterminate + label::after {
    display: block;
    content: "";
    width: 10px;
    height: 3px;
    background-color: #555555;
    border-radius: 2px;
    margin-left: -16.5px;
    margin-top: 7px;
}
.checkbox-primary input[type="checkbox"]:checked + label::before {
    background-color: #009dab;
    border-color: #009dab;
}
.checkbox-primary input[type="checkbox"]:checked + label::after {
    color: #ffffff;
}
.checkboxButtons{
    text-align: center;
    border-top: 1px solid #F2F2F2;
    padding: 10px;
}
.checkboxBtn{
    cursor: pointer;
    background-color: #009dab;
    color: #fff;
    padding: 5px 10px;
    border-radius: 4px;
    margin-right: 5px;
    display: inline-block;
}
.checkboxBtnText{
    border: 0;
    background: none;
    color: #0079FF!important;
    font-size: 15px;
    cursor: pointer;
}
.checkInput{
    position: absolute;
    opacity: 0;
    z-index: 1;
}
.dummy{
    cursor: none;
    pointer-events: none;
}

/*Roche changes*/

.kore-chat-window .showMoreDisclaimer{
    font-size: 14px;
    text-align: left;
    color: #3292FF; /*Roche change*/
    cursor: pointer;
    padding: 5px;
}

.kore-chat-window .largePreviewContent .tablechartDiv {
    display: block !important;
    background: #ffffff;
    padding: 10px;
    border: 30px solid #f2f3f5;
    border-top: 52px solid #f2f3f5;
}
.disclaimerView {
    text-align: left;
    border: 1px solid;
    padding: 10px;
    border: none;
    border-radius: 12px;
    border-bottom-left-radius: 2px;
    padding: 12px 15px;
    background-color: #F1F0F0;
}

.kore-chat-window .largePreviewContent {
    border-radius: 4px;
}

.largePreviewContent .disclaimerView .disclaimer_shortName {
    display: none !important;
}
.largePreviewContent .disclaimerView .showMoreDisclaimer {
   
    display: none !important;
}.disclaimerView .closeTablePreview {
        display: none;
        top: -15px;
        right: -8px;
        color: #0076ff;
        margin: auto;
        float: right;
        font-size: 40px;
        font-weight: bold;
        transition: 0.3s;
        opacity: 1;
}
.disclaimerView .disclaimer_description {
    display: none;
    word-break: break-word;
    padding: 25px;
    font-size: 14px;
    text-align: justify;
    font-family: "Roboto", "Noto Sans Regular";
}
.largePreviewContent .disclaimerView .closeTablePreview {
    display: block !important;
}
.largePreviewContent .disclaimerView .disclaimer_description {
    display: block !important;
}

.kore-chat-window ul.chat-container li.fromOtherUsers .Roche_messageBubble {
    background-color: #F1F0F0;
    color: var(--one-color-gray-800);
    border-radius: 12px;
    border-bottom-left-radius: 2px;
    padding: 12px 15px;
    max-width: 100%;
    font-size: 14px;
    -webkit-animation: message-left ease-in-out 2s forwards;
    -moz-animation: message-left ease-in-out 2s forwards;
    animation: message-left ease-in-out 2s forwards;
    display: inline-block;
    word-wrap: break-word;
}

/************ROCHE Home Page changes - START************/
html, body {
    height: 100%;
    margin: 0;
    background-color: #F2F7FC;
  }

#navbarBlue{
    background-color: #0066cc;
    color: white;
    padding: 5px 24px;
}

#navbarWhite{
    background-color: white;
    color: black;
    padding: 0px 0px 5px 24px;
    box-shadow: 0 8px 8px -8px rgba(0,0,0,.2);
}

.navbarTitle{
    font-size: 14px;
}

/*#daisy{
    padding: 40px; 
    padding-left: 0;
}*/

.daisyQuote{
    font-size: 18px; 
    padding: 5px 0px 5px 24px;
}

.footer{
    text-align: center;
    min-height: 150px;
    background-color: #0066cc;
}

#copyright{
    font-size: 14px;
    padding: 5px 0px 5px 24px;
}

#footer {
    padding: 15px;
    background-color: #0066cc;
    min-height: 150px;
    position: fixed;
    left: 0;
    bottom: -15px;
    width: 100%;
    text-align: left;
    color: white;
    font-size: 14px;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  }


*,
*::before,
*::after {
  box-sizing: border-box;
}
img {
  vertical-align: middle;
  border-style: none;
}
.navbar {
  position: relative;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-pack: justify;
  justify-content: space-between;
  padding: 0.5rem 1rem;
}

.navbar > .container,
.navbar > .container-fluid {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-pack: justify;
  justify-content: space-between;
}

.navbar-brand {
  display: inline-block;
  padding-top: 0.3125rem;
  padding-bottom: 0.3125rem;
  margin-right: 1rem;
  font-size: 1.25rem;
  line-height: inherit;
  white-space: nowrap;
}

.navbar-brand:hover, .navbar-brand:focus {
  text-decoration: none;
}

.navbar-nav {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
  flex-direction: column;
  padding-left: 5px;
  margin-bottom: -15px;
  list-style: none;
}

.navbar-nav .nav-link {
  padding-right: 0;
  padding-left: 0;
}

.navbar-nav .dropdown-menu {
  position: static;
  float: none;
}

.navbar-text {
  display: inline-block;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}

.navbar-toggler {
  padding: 0.25rem 0.75rem;
  font-size: 1.25rem;
  line-height: 1;
  background-color: transparent;
  border: 1px solid transparent;
  border-radius: 0.25rem;
}

.navbar-toggler:hover, .navbar-toggler:focus {
  text-decoration: none;
}

.navbar-toggler-icon {
  display: inline-block;
  width: 1.5em;
  height: 1.5em;
  vertical-align: middle;
  content: "";
  background: no-repeat center center;
  background-size: 100% 100%;
}
@media(max-width: 767px) {
    #daisy {
        padding: 20px;
    }
    .daisyQuote {
            font-size: 18px;
    }
    #footer {
        font-size: 10px;
    }
}
/************ROCHE Home Page changes - END************/